Subject: Re: Remove deprecation warnings when compiling PG ~13 with OpenSSL 3.0~

From: Daniel Gustafsson <[email-masked]>
Date: Wed, 21 Jun 2023 09:16:38 +0200

> On 21 Jun 2023, at 07:44, Andres Freund <[email-masked]> wrote:
> On 2023-06-21 11:53:44 +0900, Michael Paquier wrote:

>> I have been annoyed by these in the past when doing backpatches, as
>> this creates some noise, and the only place where this counts is
>> sha2_openssl.c.  Thoughts about doing something like the attached for
>> ~13?
> 
> Wouldn't the proper fix be to backpatch 4d3db13621b?

Agreed, I'd be more inclined to go with OPENSSL_API_COMPAT.  If we still get
warnings with that set then I feel those warrant special consideration rather
than a blanket suppression.

--
Daniel Gustafsson